libcdr::CDRQuadraticBezierToElement Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libcdr::CDRQuadraticBezierToElement Class Reference
Inheritance diagram for libcdr::CDRQuadraticBezierToElement:

## Public Member Functions
| CDRQuadraticBezierToElement (double x1, double y1, double x, double y)
| ~CDRQuadraticBezierToElement ()
void | writeOut (librevenge::RVNGPropertyListVector &vec) const
void | transform (const CDRTransforms &trafos)
void | transform (const CDRTransform &trafo)
CDRPathElement * | clone ()
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Attributes
double | m_x1
double | m_y1
double | m_x
double | m_y

## Constructor & Destructor Documentation

## § CDRQuadraticBezierToElement()

libcdr::CDRQuadraticBezierToElement::CDRQuadraticBezierToElement | ( | double | x1,
|  | double | y1,
|  | double | x,
|  | double | y
| ) |  |
| inline

## § ~CDRQuadraticBezierToElement()

libcdr::CDRQuadraticBezierToElement::~CDRQuadraticBezierToElement | ( |  | ) |
| inline

## Member Function Documentation

## § clone()

libcdr::CDRPathElement * libcdr::CDRQuadraticBezierToElement::clone | ( |  | ) |
| virtual

Implements libcdr::CDRPathElement.

## § transform() [1/2]

void libcdr::CDRQuadraticBezierToElement::transform | ( | const CDRTransforms & | trafos | ) |
| virtual

Implements libcdr::CDRPathElement.

## § transform() [2/2]

void libcdr::CDRQuadraticBezierToElement::transform | ( | const CDRTransform & | trafo | ) |
| virtual

Implements libcdr::CDRPathElement.

## § writeOut()

void libcdr::CDRQuadraticBezierToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| virtual

Implements libcdr::CDRPathElement.

## Member Data Documentation

## § m_x

double libcdr::CDRQuadraticBezierToElement::m_x
| private

## § m_x1

double libcdr::CDRQuadraticBezierToElement::m_x1
| private

## § m_y

double libcdr::CDRQuadraticBezierToElement::m_y
| private

## § m_y1

double libcdr::CDRQuadraticBezierToElement::m_y1
| private

The documentation for this class was generated from the following file:

- CDRPath.cpp